| Cantera 3.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
StickingRate< RateType, DataType > Class Template Reference
Chemical Kinetics » Reactions and Reaction Rates » Interface Rate Parameterizations

A class template for interface sticking rate specifications. More...

`#include <InterfaceRate.h>`

Inheritance diagram for StickingRate< RateType, DataType >:
[legend]

## Detailed Description

template<class RateType, class DataType>
class Cantera::StickingRate< RateType, DataType >

A class template for interface sticking rate specifications.

Definition at line 463 of file InterfaceRate.h.

## Public Member Functions
| StickingRate (const AnyMap &node, const UnitStack &rate_units)
| Constructor based on AnyMap content.
| StickingRate (const AnyMap &node)
unique_ptr< MultiRateBase > | newMultiRate () const override
const string | type () const override
| Identifier of reaction rate type.
void | setRateUnits (const UnitStack &rate_units) override
void | setParameters (const AnyMap &node, const UnitStack &rate_units) override
void | getParameters (AnyMap &node) const override
void | setContext (const Reaction &rxn, const Kinetics &kin) override
void | validate (const string &equation, const Kinetics &kin) override
void | updateFromStruct (const DataType &shared_data)
| Update reaction rate parameters.
double | evalFromStruct (const DataType &shared_data) const
| Evaluate reaction rate.
double | ddTScaledFromStruct (const DataType &shared_data) const
| Evaluate derivative of reaction rate with respect to temperature divided by reaction rate.
double | preExponentialFactor () const override
double | activationEnergy () const override
Public Member Functions inherited from StickingCoverage
void | setStickingParameters (const AnyMap &node)
| Perform object setup based on AnyMap node information.
void | getStickingParameters (AnyMap &node) const
| Store parameters needed to reconstruct an identical object.
bool | motzWiseCorrection () const
| Get flag indicating whether sticking rate uses the correction factor developed by Motz & Wise for reactions with high (near-unity) sticking coefficients.
void | setMotzWiseCorrection (bool motz_wise)
| Set flag for Motz & Wise correction factor.
string | stickingSpecies () const
| Get sticking species.
void | setStickingSpecies (const string &stickingSpecies)
| Set sticking species.
double | stickingOrder ()
| Get exponent applied to site density (sticking order)
void | setStickingOrder (double order)
| Set exponent applied to site density (sticking order)
double | stickingWeight ()
| Get the molecular weight of the sticking species.
void | setStickingWeight (double weight)
| Set the molecular weight of the sticking species.
void | setContext (const Reaction &rxn, const Kinetics &kin)
| Build rate-specific parameters based on Reaction and Kinetics context.
Public Member Functions inherited from InterfaceRateBase
void | setParameters (const AnyMap &node)
| Perform object setup based on AnyMap node information.
void | getParameters (AnyMap &node) const
| Store parameters needed to reconstruct an identical object.
void | setCoverageDependencies (const AnyMap &dependencies, const UnitSystem &units=UnitSystem())
| Set coverage dependencies based on AnyMap node information.
void | getCoverageDependencies (AnyMap &dependencies, bool asVector=false) const
| Store parameters needed to reconstruct coverage dependencies.
virtual void | addCoverageDependence (const string &sp, double a, double m, const vector< double > &e)
| Add a coverage dependency for species sp, with exponential dependence a, power-law exponent m, and activation energy dependence e, where e is in Kelvin, that is, energy divided by the molar gas constant.
bool | exchangeCurrentDensityFormulation ()
| Boolean indicating whether rate uses exchange current density formulation.
void | setContext (const Reaction &rxn, const Kinetics &kin)
| Build rate-specific parameters based on Reaction and Kinetics context.
void | setSpecies (const vector< string > &species)
| Set association with an ordered list of all species associated with a given `Kinetics` object.
void | updateFromStruct (const InterfaceData &shared_data)
| Update reaction rate parameters.
double | voltageCorrection () const
| Calculate modifications for the forward reaction rate for interfacial charge transfer reactions.
bool | usesElectrochemistry ()
| Boolean indicating whether rate uses electrochemistry.
double | beta () const
| Return the charge transfer beta parameter.
double | siteDensity () const
| Return site density [kmol/m^2].
void | setSiteDensity (double siteDensity)
| Set site density [kmol/m^2].

## Additional Inherited Members
Protected Attributes inherited from StickingCoverage
bool | m_motzWise
| boolean indicating whether Motz & Wise correction is used
bool | m_explicitMotzWise
| Correction cannot be overriden by default.
string | m_stickingSpecies
| string identifying sticking species
bool | m_explicitSpecies
| Boolean flag.
double | m_surfaceOrder
| exponent applied to site density term
double | m_multiplier
| multiplicative factor in rate expression
double | m_factor
| cached factor
Protected Attributes inherited from InterfaceRateBase
double | m_siteDensity
| Site density [kmol/m^2].
double | m_acov
| Coverage contribution to pre-exponential factor.
double | m_ecov
| Coverage contribution to activation energy.
double | m_mcov
| Coverage term in reaction rate.
bool | m_chargeTransfer
| Boolean indicating use of electrochemistry.
bool | m_exchangeCurrentDensityFormulation
double | m_beta
| Electrochemistry only.
double | m_deltaPotential_RT
| Normalized electric potential energy change.
double | m_deltaGibbs0_RT
| Normalized standard state Gibbs free energy change.
double | m_prodStandardConcentrations
| Products of standard concentrations.
map< size_t, size_t > | m_indices
| Map from coverage dependencies stored in this object to the index of the coverage species in the Kinetics object.
vector< string > | m_cov
| Vector holding names of coverage species.
vector< double > | m_ac
| Vector holding coverage-specific exponential dependence.
vector< vector< double > > | m_ec
| Vector holding coverage-specific activation energy dependence as a 5-membered array of polynomial coeffcients starting from 0th-order to 4th-order coefficients.
vector< bool > | m_lindep
| Vector holding boolean for linear dependence.
vector< double > | m_mc
| Vector holding coverage-specific power-law exponents.

## Constructor & Destructor Documentation

## ◆ StickingRate() [1/2]

template<class RateType , class DataType >

StickingRate | ( | const AnyMap & | node,
|  | const UnitStack & | rate_units
| ) |  |
| inline

Constructor based on AnyMap content.

Definition at line 472 of file InterfaceRate.h.

## ◆ StickingRate() [2/2]

template<class RateType , class DataType >

StickingRate | ( | const AnyMap & | node | ) |
| inline explicit

Definition at line 475 of file InterfaceRate.h.

## Member Function Documentation

## ◆ newMultiRate()

template<class RateType , class DataType >

unique_ptr< MultiRateBase > newMultiRate | ( |  | ) | const
| inline override

Definition at line 479 of file InterfaceRate.h.

## ◆ type()

template<class RateType , class DataType >

const string type | ( |  | ) | const
| inline override

Identifier of reaction rate type.

Definition at line 484 of file InterfaceRate.h.

## ◆ setRateUnits()

template<class RateType , class DataType >

void setRateUnits | ( | const UnitStack & | rate_units | ) |
| inline override

Definition at line 488 of file InterfaceRate.h.

## ◆ setParameters()

template<class RateType , class DataType >

void setParameters | ( | const AnyMap & | node,
|  | const UnitStack & | rate_units
| ) |  |
| inline override

Definition at line 493 of file InterfaceRate.h.

## ◆ getParameters()

template<class RateType , class DataType >

void getParameters | ( | AnyMap & | node | ) | const
| inline override

Definition at line 506 of file InterfaceRate.h.

## ◆ setContext()

template<class RateType , class DataType >

void setContext | ( | const Reaction & | rxn,
|  | const Kinetics & | kin
| ) |  |
| inline override

Definition at line 521 of file InterfaceRate.h.

## ◆ validate()

template<class RateType , class DataType >

void validate | ( | const string & | equation,
|  | const Kinetics & | kin
| ) |  |
| inline override

Definition at line 527 of file InterfaceRate.h.

## ◆ updateFromStruct()

template<class RateType , class DataType >

void updateFromStruct | ( | const DataType & | shared_data | ) |
| inline

Update reaction rate parameters.

Parameters

  shared_data | data shared by all reactions of a given type

Definition at line 546 of file InterfaceRate.h.

## ◆ evalFromStruct()

template<class RateType , class DataType >

double evalFromStruct | ( | const DataType & | shared_data | ) | const
| inline

Evaluate reaction rate.

Parameters

  shared_data | data shared by all reactions of a given type

Definition at line 556 of file InterfaceRate.h.

## ◆ ddTScaledFromStruct()

template<class RateType , class DataType >

double ddTScaledFromStruct | ( | const DataType & | shared_data | ) | const
| inline

Evaluate derivative of reaction rate with respect to temperature divided by reaction rate.

Parameters

  shared_data | data shared by all reactions of a given type

Definition at line 573 of file InterfaceRate.h.

## ◆ preExponentialFactor()

template<class RateType , class DataType >

double preExponentialFactor | ( |  | ) | const
| inline override

Definition at line 577 of file InterfaceRate.h.

## ◆ activationEnergy()

template<class RateType , class DataType >

double activationEnergy | ( |  | ) | const
| inline override

Definition at line 582 of file InterfaceRate.h.

The documentation for this class was generated from the following file:

- InterfaceRate.h